Create custom ledger
Creates a custom ledger in Draft status. After creation, upload charge data using the /upload endpoint.
Represents a custom ledger in the billing system.
The unique identifier of the custom ledger.
Name of the custom ledger.
Quarterly Revenue LedgerThe start date of the billing period for the custom ledger.
2025-01-01T00:00:00+00:00The end date of the billing period for the custom ledger.
2025-03-31T23:59:59+00:00Additional notes or comments about the custom ledger.
Includes all transactions for Q1 2025.Represents the various statuses a custom ledger can have in the billing system.
Created
Represents a custom ledger in the billing system.
The unique identifier of the custom ledger.
Name of the custom ledger.
Quarterly Revenue LedgerThe start date of the billing period for the custom ledger.
2025-01-01T00:00:00+00:00The end date of the billing period for the custom ledger.
2025-03-31T23:59:59+00:00Additional notes or comments about the custom ledger.
Includes all transactions for Q1 2025.Represents the various statuses a custom ledger can have in the billing system.
Forbidden
Not Found
Internal Server Error
POST /public/v1/billing/custom-ledgers HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 2181
{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"draft": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"validating": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"validated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"error": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"generating": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"generated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"id": "text",
"name": "Quarterly Revenue Ledger",
"externalIds": {
"operations": "OPS-12345",
"vendor": "VND-67890"
},
"seller": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalId": "text"
},
"vendor": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"billingStartDate": "2025-01-01T00:00:00+00:00",
"billingEndDate": "2025-03-31T23:59:59+00:00",
"notes": "Includes all transactions for Q1 2025.",
"status": "Validated",
"assignee": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"price": {
"markup": 15.5,
"margin": 20,
"totalPP": 1000,
"totalBP": 1100,
"totalBSP": 1200,
"currency": {
"purchase": "USD",
"sale": "EUR",
"rate": 1
},
"totalSP": 1200
},
"processing": {
"total": 100,
"ready": 80,
"error": 5,
"split": 10,
"skipped": 5,
"ignored": 2
},
"error": {
"errorCode": "ERR-001",
"errorMessage": "Invalid billing data provided.",
"id": "12345",
"message": "Failed to process the billing entity due to missing data."
},
"backup": {
"status": "Pending",
"date": "2026-01-01T00:00:00.000Z"
}
}{
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"draft": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"deleted": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"validating": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"validated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"error": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"generating": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"generated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"queued": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"completed": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"id": "text",
"name": "Quarterly Revenue Ledger",
"externalIds": {
"operations": "OPS-12345",
"vendor": "VND-67890"
},
"seller": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalId": "text"
},
"vendor": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"billingStartDate": "2025-01-01T00:00:00+00:00",
"billingEndDate": "2025-03-31T23:59:59+00:00",
"notes": "Includes all transactions for Q1 2025.",
"status": "Validated",
"assignee": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"price": {
"markup": 15.5,
"margin": 20,
"totalPP": 1000,
"totalBP": 1100,
"totalBSP": 1200,
"currency": {
"purchase": "USD",
"sale": "EUR",
"rate": 1
},
"totalSP": 1200
},
"processing": {
"total": 100,
"ready": 80,
"error": 5,
"split": 10,
"skipped": 5,
"ignored": 2
},
"error": {
"errorCode": "ERR-001",
"errorMessage": "Invalid billing data provided.",
"id": "12345",
"message": "Failed to process the billing entity due to missing data."
},
"backup": {
"status": "Pending",
"date": "2026-01-01T00:00:00.000Z"
}
}Last updated
Was this helpful?